Bug 220708 - Digikam crashes on startup (segmentation fault, glibc, invalid pointer on free()) [qFree, QString::free, QString::operator=]
Summary: Digikam crashes on startup (segmentation fault, glibc, invalid pointer on fre...
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Applications
Component: Thumbs-Engine (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-30 17:51 UTC by Nigel Cundy
Modified: 2018-09-02 15:18 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 1.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nigel Cundy 2009-12-30 17:51:04 UTC
Application: digikam (rc..-rc)
KDE Platform Version: 4.3.85 (KDE 4.3.85 (KDE 4.4 Beta2))
Qt Version: 4.6.0
Operating System: Linux 2.6.31-17-generic i686
Distribution: Ubuntu 9.10

-- Information about the crash:
This might be a kubuntu packaging issue. I'm running KDE 4.4 beta 2 (from the kubuntu beta ppa) and digikam 2.1.0 from the main repositories. Digikam crashes whenever I try to start it; the last lines of command line output are

digikam(3062)/digikam (core) Digikam::ScanControllerLoadingCacheFileWatch::slotImageChanged: 2652 "/home/cundy/Pictures/2009/12/25/SN850134.JPG"                                    
digikam(3062)/digikam (core) Digikam::IccSettingsPriv::scanDirectories: ()                                                                                                          
digikam(3062)/kdecore (KSycoca) KSycocaPrivate::openDatabase: Trying to open ksycoca from  "/var/tmp/kdecache-cundy/ksycoca4"                                                       
Time elapsed: 1092 ms                                                                                                                                                               
Time elapsed: 22 ms                                                                                                                                                                 
Model: Time elapsed: 1189 ms                                                                                                                                                        
TextureColorizer: Time elapsed: 107 ms                                                                                                                                              
Time elapsed: 20 ms                                                                                                                                                                 
Time elapsed: 14 ms                                                                                                                                                                 
Model: Time elapsed: 55 ms                                                                                                                                                          
*** glibc detected *** digikam: free(): invalid pointer: 0x0c1bc520 ***                                                                                                             
======= Backtrace: =========                                                                                                                                                        
/lib/tls/i686/cmov/libc.so.6[0x8ef2ff1]                                                                                                                                             
/lib/tls/i686/cmov/libc.so.6(cfree+0xd6)[0x8ef7806]                                                                                                                                 
/usr/lib/libQtCore.so.4(_Z5qFreePv+0x1d)[0x6be8a1d]                                                                                                                                 
/usr/lib/libQtCore.so.4(_ZN7QString4freeEPNS_4DataE+0x40)[0x6c388e0]                                                                                                                
/usr/lib/libQtCore.so.4(_ZN7QStringaSERKS_+0x3e)[0x6c38d3e]                                                                                                                         
/usr/lib/libQtCore.so.4(_ZN7QString5clearEv+0x3c)[0x6c44b5c]                                                                                                                        
/usr/lib/libQtCore.so.4(_ZrsR11QDataStreamR7QString+0x2c0)[0x6c43560]                                                                                                               
/usr/lib/libmarblewidget.so.4[0xa0cf4c]                                                                                                                                             
/usr/lib/libmarblewidget.so.4[0xa0e3db]                                                                                                                                             
/usr/lib/libQtCore.so.4[0x6bee3ae]                                                                                                                                                  
/lib/tls/i686/cmov/libpthread.so.0[0x2d280e]                                                                                                                                        
/lib/tls/i686/cmov/libc.so.6(clone+0x5e)[0x8f547ee]                                                                                                                                 
======= Memory map: ========                                                                                                                                                        
00110000-00199000 r-xp 00000000 08:05 30117      /usr/lib/libkexiv2.so.8.0.0                                                                                                        
00199000-0019a000 r--p 00089000 08:05 30117      /usr/lib/libkexiv2.so.8.0.0                                                                                                        
0019a000-0019b000 rw-p 0008a000 08:05 30117      /usr/lib/libkexiv2.so.8.0.0                                                                                                        
0019b000-001cb000 r-xp 00000000 08:05 7382       /usr/lib/liblcms.so.1.0.18                                                                                                         
001cb000-001cc000 r--p 0002f000 08:05 7382       /usr/lib/liblcms.so.1.0.18                                                                                                         
001cc000-001cd000 rw-p 00030000 08:05 7382       /usr/lib/liblcms.so.1.0.18                                                                                                         
001cd000-001cf000 rw-p 00000000 00:00 0                                                                                                                                             
001cf000-001d6000 r-xp 00000000 08:05 6930       /usr/lib/libgif.so.4.1.6                                                                                                           
001d6000-001d7000 r--p 00006000 08:05 6930       /usr/lib/libgif.so.4.1.6                                                                                                           
001d7000-001d8000 rw-p 00007000 08:05 6930       /usr/lib/libgif.so.4.1.6                                                                                                           
001d8000-001dc000 r-xp 00000000 08:05 6678       /usr/lib/libXtst.so.6.1.0                                                                                                          
001dc000-001dd000 r--p 00004000 08:05 6678       /usr/lib/libXtst.so.6.1.0                                                                                                          
001dd000-001de000 rw-p 00005000 08:05 6678       /usr/lib/libXtst.so.6.1.0                                                                                                          
001de000-001e0000 r-xp 00000000 08:05 6637       /usr/lib/libXau.so.6.0.0                                                                                                           
001e0000-001e1000 r--p 00001000 08:05 6637       /usr/lib/libXau.so.6.0.0                                                                                                           
001e1000-001e2000 rw-p 00002000 08:05 6637       /usr/lib/libXau.so.6.0.0                                                                                                           
001e3000-00235000 r-xp 00000000 08:05 89615      /usr/lib/libphonon.so.4.3.80                                                                                                       
00235000-00237000 r--p 00051000 08:05 89615      /usr/lib/libphonon.so.4.3.80                                                                                                       
00237000-00238000 rw-p 00053000 08:05 89615      /usr/lib/libphonon.so.4.3.80                                                                                                       
00238000-002a7000 r-xp 00000000 08:05 36937      /usr/lib/libkdcraw.so.8.0.0                                                                                                        
002a7000-002aa000 r--p 0006f000 08:05 36937      /usr/lib/libkdcraw.so.8.0.0                                                                                                        
002aa000-002ab000 rw-p 00072000 08:05 36937      /usr/lib/libkdcraw.so.8.0.0                                                                                                        
002ab000-002cb000 r-xp 00000000 08:05 7111       /usr/lib/libkresources.so.4.4.0                                                                                                    
002cb000-002cc000 r--p 00020000 08:05 7111       /usr/lib/libkresources.so.4.4.0                                                                                                    
002cc000-002cd000 rw-p 00021000 08:05 7111       /usr/lib/libkresources.so.4.4.0                                                                                                    
002cd000-002e2000 r-xp 00000000 08:05 8618       /lib/tls/i686/cmov/libpthread-2.10.1.so                                                                                            
002e2000-002e3000 r--p 00014000 08:05 8618       /lib/tls/i686/cmov/libpthread-2.10.1.so                                                                                            
002e3000-002e4000 rw-p 00015000 08:05 8618       /lib/tls/i686/cmov/libpthread-2.10.1.so                                                                                            
002e4000-002e6000 rw-p 00000000 00:00 0                                                                                                                                             
002e6000-002ee000 r-xp 00000000 08:05 7393       /usr/lib/libltdl.so.7.2.0                                                                                                          
002ee000-002ef000 r--p 00007000 08:05 7393       /usr/lib/libltdl.so.7.2.0                                                                                                          
002ef000-002f0000 rw-p 00008000 08:05 7393       /usr/lib/libltdl.so.7.2.0                                                                                                          
002f0000-002f4000 r-xp 00000000 08:05 6648       /usr/lib/libXdmcp.so.6.0.0                                                                                                         
002f4000-002f5000 rw-p 00003000 08:05 6648       /usr/lib/libXdmcp.so.6.0.0                                                                                                         
002f5000-00309000 r-xp 00000000 08:05 36745      /usr/lib/libkipi.so.7.0.0                                                                                                          
00309000-0030a000 r--p 00013000 08:05 36745      /usr/lib/libkipi.so.7.0.0                                                                                                          
0030a000-0030b000 rw-p 00014000 08:05 36745      /usr/lib/libkipi.so.7.0.0                                                                                                          
0030b000-0032f000 r-xp 00000000 08:05 1730       /lib/tls/i686/cmov/libm-2.10.1.so                                                                                                  
0032f000-00330000 r--p 00023000 08:05 1730       /lib/tls/i686/cmov/libm-2.10.1.so                                                                                                  
00330000-00331000 rw-p 00024000 08:05 1730       /lib/tls/i686/cmov/libm-2.10.1.so                                                                                                  
00331000-00337000 r-xp 00000000 08:05 1607       /lib/libacl.so.1.1.0                                                                                                               
00337000-00339000 rw-p 00005000 08:05 1607       /lib/libacl.so.1.1.0
0033a000-00341000 r-xp 00000000 08:05 25546      /usr/lib/libgphoto2_port.so.0.8.0
00341000-00342000 r--p 00006000 08:05 25546      /usr/lib/libgphoto2_port.so.0.8.0
00342000-00343000 rw-p 00007000 08:05 25546      /usr/lib/libgphoto2_port.so.0.8.0
00343000-0035d000 r-xp 00000000 08:05 25674      /usr/lib/libgphoto2.so.2.4.0
0035d000-0035e000 r--p 00019000 08:05 25674      /usr/lib/libgphoto2.so.2.4.0
0035e000-0035f000 rw-p 0001a000 08:05 25674      /usr/lib/libgphoto2.so.2.4.0
0035f000-003bf000 rw-p 00000000 00:00 0
003bf000-00512000 r-xp 00000000 08:05 62618      /usr/lib/libdigikamdatabase.so.1.0.0
00512000-00513000 r--p 00153000 08:05 62618      /usr/lib/libdigikamdatabase.so.1.0.0
00513000-00515000 rw-p 00154000 08:05 62618      /usr/lib/libdigikamdatabase.so.1.0.0
00515000-00519000 r-xp 00000000 08:05 1615       /lib/libattr.so.1.1.0
00519000-0051a000 r--p 00003000 08:05 1615       /lib/libattr.so.1.1.0
0051a000-0051b000 rw-p 00004000 08:05 1615       /lib/libattr.so.1.1.0
0051b000-0051d000 r-xp 00000000 08:05 6660       /usr/lib/libXinerama.so.1.0.0
0051d000-0051e000 rw-p 00001000 08:05 6660       /usr/lib/libXinerama.so.1.0.0
0051e000-0055b000 r-xp 00000000 08:05 89420      /usr/lib/libQtSql.so.4.6.0
0055b000-0055c000 r--p 0003d000 08:05 89420      /usr/lib/libQtSql.so.4.6.0
0055c000-0055d000 rw-p 0003e000 08:05 89420      /usr/lib/libQtSql.so.4.6.0
0055d000-005e7000 r-xp 00000000 08:05 6406       /usr/lib/libkabc.so.4.4.0
005e7000-005e9000 r--p 00089000 08:05 6406       /usr/lib/libkabc.so.4.4.0
005e9000-005ea000 rw-p 0008b000 08:05 6406       /usr/lib/libkabc.so.4.4.0
005ea000-005eb000 rw-p 00000000 00:00 0
005eb000-0067f000 r-xp 00000000 08:05 194001     /usr/lib/libkjs.so.4.4.0
0067f000-00686000 r--p 00094000 08:05 194001     /usr/lib/libkjs.so.4.4.0
00686000-00687000 rw-p 0009b000 08:05 194001     /usr/lib/libkjs.so.4.4.0
00687000-0068d000 rw-p 00000000 00:00 0
0068d000-006a9000 r-xp 00000000 08:05 3685       /lib/libgcc_s.so.1
006a9000-006aa000 r--p 0001b000 08:05 3685       /lib/libgcc_s.so.1
006aa000-006ab000 rw-p 0001c000 08:05 3685       /lib/libgcc_s.so.1
006ab000-006af000 r-xp 00000000 08:05 6652       /usr/lib/libXfixes.so.3.1.0
006af000-006b0000 r--p 00003000 08:05 6652       /usr/lib/libXfixes.so.3.1.0
006b0000-006b1000 rw-p 00004000 08:05 6652       /usr/lib/libXfixes.so.3.1.0
006b1000-00722000 r-xp 00000000 08:05 193996     /usr/lib/libsolid.so.4.4.0
00722000-00729000 r--p 00070000 08:05 193996     /usr/lib/libsolid.so.4.4.0
00729000-0072a000 rw-p 00077000 08:05 193996     /usr/lib/libsolid.so.4.4.0
0072a000-00849000 r-xp 00000000 08:05 89513      /usr/lib/libQtNetwork.so.4.6.0
00849000-0084c000 r--p 0011e000 08:05 89513      /usr/lib/libQtNetwork.so.4.6.0
0084c000-0084d000 rw-p 00121000 08:05 89513      /usr/lib/libQtNetwork.so.4.6.0
0084d000-0085b000 r-xp 00000000 08:05 8515       /usr/lib/libXext.so.6.4.0
0085b000-0085c000 r--p 0000d000 08:05 8515       /usr/lib/libXext.so.6.4.0
0085c000-0085d000 rw-p 0000e000 08:05 8515       /usr/lib/libXext.so.6.4.0
0085d000-00899000 r-xp 00000000 08:05 134413     /usr/lib/libkparts.so.4.4.0
00899000-0089b000 r--p 0003c000 08:05 134413     /usr/lib/libkparts.so.4.4.0KCrash: Application 'digikam' crashing...




The crash can be reproduced everytime.

 -- Backtrace:
Application: digiKam (digikam), signal: Aborted
[Current thread is 1 (Thread 0xb77e6790 (LWP 3062))]

Thread 17 (Thread 0xb6116b70 (LWP 3075)):
#0  0x00aa5422 in __kernel_vsyscall ()
#1  0x002d6e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x06bef307 in QWaitConditionPrivate::wait (this=0x9ddc178, mutex=0x9ddc174, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0x9ddc178, mutex=0x9ddc174, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x08302c19 in Digikam::ScanController::run (this=0x9e099f8) at /build/buildd/digikam-1.0.0~rc/digikam/scancontroller.cpp:499
#5  0x06bee3ae in QThreadPrivate::start (arg=0x9e099f8) at thread/qthread_unix.cpp:244
#6  0x002d280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x08f547ee in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 16 (Thread 0xb587bb70 (LWP 3077)):
#0  0x00aa5422 in __kernel_vsyscall ()
#1  0x08f46ba6 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0x09c9a54b in g_poll () from /lib/libglib-2.0.so.0
#3  0x09c8d56b in ?? () from /lib/libglib-2.0.so.0
#4  0x09c8d863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x06d1bc0f in QEventDispatcherGlib::processEvents (this=0xa05f9a0, flags=...) at kernel/qeventdispatcher_glib.cpp:409
#6  0x06cee4c9 in QEventLoop::processEvents (this=0xb587b250, flags=) at kernel/qeventloop.cpp:149
#7  0x06cee91a in QEventLoop::exec (this=0xb587b250, flags=...) at kernel/qeventloop.cpp:201
#8  0x06beb558 in QThread::exec (this=0xa020880) at thread/qthread.cpp:487
#9  0x0048816d in Digikam::ImageFilterModelWorker::Thread::run (this=0xa020880) at /build/buildd/digikam-1.0.0~rc/obj-i486-linux-gnu/digikam/../../libs/models/imagefiltermodelthreads.h:66
#10 0x06bee3ae in QThreadPrivate::start (arg=0xa020880) at thread/qthread_unix.cpp:244
#11 0x002d280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#12 0x08f547ee in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 15 (Thread 0xb4f9eb70 (LWP 3078)):
#0  0x00d8be06 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x06d18d1b in qt_gettime () at kernel/qcore_unix.cpp:109
#2  0x06d1dde5 in QTimerInfoList::updateCurrentTime (this=0xa16c834) at kernel/qeventdispatcher_unix.cpp:340
#3  0x06d1de2a in QTimerInfoList::timerWait (this=0xa16c834, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0x06d1be18 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb4f9e08c) at kernel/qeventdispatcher_glib.cpp:136
#5  0x06d1bea5 in timerSourcePrepare (source=0x0, timeout=0xd8fff4) at kernel/qeventdispatcher_glib.cpp:169
#6  0x09c8cf90 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0x09c8d351 in ?? () from /lib/libglib-2.0.so.0
#8  0x09c8d863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9  0x06d1bc0f in QEventDispatcherGlib::processEvents (this=0xa05ed20, flags=...) at kernel/qeventdispatcher_glib.cpp:409
#10 0x06cee4c9 in QEventLoop::processEvents (this=0xb4f9e250, flags=) at kernel/qeventloop.cpp:149
#11 0x06cee91a in QEventLoop::exec (this=0xb4f9e250, flags=...) at kernel/qeventloop.cpp:201
#12 0x06beb558 in QThread::exec (this=0xa05f530) at thread/qthread.cpp:487
#13 0x0048816d in Digikam::ImageFilterModelWorker::Thread::run (this=0xa05f530) at /build/buildd/digikam-1.0.0~rc/obj-i486-linux-gnu/digikam/../../libs/models/imagefiltermodelthreads.h:66
#14 0x06bee3ae in QThreadPrivate::start (arg=0xa05f530) at thread/qthread_unix.cpp:244
#15 0x002d280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#16 0x08f547ee in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 14 (Thread 0xb471db70 (LWP 3079)):
#0  0x00aa5422 in __kernel_vsyscall ()
#1  0x002d6e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x06bef307 in QWaitConditionPrivate::wait (this=0xa079ec8, mutex=0xa079ec4, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0xa079ec8, mutex=0xa079ec4, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x06626baa in Digikam::LoadSaveThread::run (this=0xa079eb8) at /build/buildd/digikam-1.0.0~rc/libs/threadimageio/loadsavethread.cpp:131
#5  0x06bee3ae in QThreadPrivate::start (arg=0xa079eb8) at thread/qthread_unix.cpp:244
#6  0x002d280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x08f547ee in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 13 (Thread 0xb3f1cb70 (LWP 3080)):
#0  0x00d8be06 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x06d18d1b in qt_gettime () at kernel/qcore_unix.cpp:109
#2  0x06d1dde5 in QTimerInfoList::updateCurrentTime (this=0xa1cac84) at kernel/qeventdispatcher_unix.cpp:340
#3  0x06d1de2a in QTimerInfoList::timerWait (this=0xa1cac84, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0x06d1be18 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb3f1c0ac) at kernel/qeventdispatcher_glib.cpp:136
#5  0x06d1bea5 in timerSourcePrepare (source=0x0, timeout=0xd8fff4) at kernel/qeventdispatcher_glib.cpp:169
#6  0x09c8cf90 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0x09c8d351 in ?? () from /lib/libglib-2.0.so.0
#8  0x09c8d863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9  0x06d1bc0f in QEventDispatcherGlib::processEvents (this=0xa1b7ca0, flags=...) at kernel/qeventdispatcher_glib.cpp:409
#10 0x06cee4c9 in QEventLoop::processEvents (this=0xb3f1c270, flags=) at kernel/qeventloop.cpp:149
#11 0x06cee91a in QEventLoop::exec (this=0xb3f1c270, flags=...) at kernel/qeventloop.cpp:201
#12 0x06beb558 in QThread::exec (this=0xa15b628) at thread/qthread.cpp:487
#13 0x06bee3ae in QThreadPrivate::start (arg=0xa15b628) at thread/qthread_unix.cpp:244
#14 0x002d280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#15 0x08f547ee in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 12 (Thread 0xb371bb70 (LWP 3081)):
#0  0x00d8be06 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1
#1  0x06d18d1b in qt_gettime () at kernel/qcore_unix.cpp:109
#2  0x06d1dde5 in QTimerInfoList::updateCurrentTime (this=0xa1cba84) at kernel/qeventdispatcher_unix.cpp:340
#3  0x06d1de2a in QTimerInfoList::timerWait (this=0xa1cba84, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0x06d1be18 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb371b0ac) at kernel/qeventdispatcher_glib.cpp:136
#5  0x06d1bea5 in timerSourcePrepare (source=0x0, timeout=0xd8fff4) at kernel/qeventdispatcher_glib.cpp:169
#6  0x09c8cf90 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0x09c8d351 in ?? () from /lib/libglib-2.0.so.0
#8  0x09c8d863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9  0x06d1bc0f in QEventDispatcherGlib::processEvents (this=0xa1addd0, flags=...) at kernel/qeventdispatcher_glib.cpp:409
#10 0x06cee4c9 in QEventLoop::processEvents (this=0xb371b270, flags=) at kernel/qeventloop.cpp:149
#11 0x06cee91a in QEventLoop::exec (this=0xb371b270, flags=...) at kernel/qeventloop.cpp:201
#12 0x06beb558 in QThread::exec (this=0xa15b888) at thread/qthread.cpp:487
#13 0x06bee3ae in QThreadPrivate::start (arg=0xa15b888) at thread/qthread_unix.cpp:244
#14 0x002d280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#15 0x08f547ee in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 11 (Thread 0xb2f1ab70 (LWP 3082)):
#0  0x00aa5422 in __kernel_vsyscall ()
#1  0x002d6e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x06bef307 in QWaitConditionPrivate::wait (this=0xa1c3bf8, mutex=0xa1c3bf4, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0xa1c3bf8, mutex=0xa1c3bf4, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x06626baa in Digikam::LoadSaveThread::run (this=0xa1c3be8) at /build/buildd/digikam-1.0.0~rc/libs/threadimageio/loadsavethread.cpp:131
#5  0x06bee3ae in QThreadPrivate::start (arg=0xa1c3be8) at thread/qthread_unix.cpp:244
#6  0x002d280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x08f547ee in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 10 (Thread 0xb0959b70 (LWP 3084)):
#0  0x00aa5422 in __kernel_vsyscall ()
#1  0x002d7142 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x02e289ff in ?? () from /usr/lib/libxine.so.1
#3  0x002d280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#4  0x08f547ee in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 9 (Thread 0xafd4db70 (LWP 3088)):
#0  0x00aa5422 in __kernel_vsyscall ()
#1  0x08f4d981 in select () from /lib/tls/i686/cmov/libc.so.6
#2  0x02e51be0 in xine_usec_sleep () from /usr/lib/libxine.so.1
#3  0x02e36011 in ?? () from /usr/lib/libxine.so.1
#4  0x002d280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#5  0x08f547ee in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 8 (Thread 0xaf54cb70 (LWP 3089)):
#0  0x09c8cf12 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#1  0x09c8d351 in ?? () from /lib/libglib-2.0.so.0
#2  0x09c8d863 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x06d1bc0f in QEventDispatcherGlib::processEvents (this=0xa3510c8, flags=...) at kernel/qeventdispatcher_glib.cpp:409
#4  0x06cee4c9 in QEventLoop::processEvents (this=0xaf54c200, flags=) at kernel/qeventloop.cpp:149
#5  0x06cee91a in QEventLoop::exec (this=0xaf54c200, flags=...) at kernel/qeventloop.cpp:201
#6  0x06beb558 in QThread::exec (this=0xa2ce718) at thread/qthread.cpp:487
#7  0x02dc8a5a in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#8  0x06bee3ae in QThreadPrivate::start (arg=0xa2ce718) at thread/qthread_unix.cpp:244
#9  0x002d280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#10 0x08f547ee in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 7 (Thread 0xaed4bb70 (LWP 3090)):
#0  0x08f46b4d in poll () from /lib/tls/i686/cmov/libc.so.6
#1  0x03509cc2 in ?? () from /usr/lib/libpulse.so.0
#2  0x034f6e09 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#3  0x034f8c23 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#4  0x034f8cf4 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#5  0x03509bc3 in ?? () from /usr/lib/libpulse.so.0
#6  0x07885ac2 in ?? () from /usr/lib/libpulsecommon-0.9.19.so
#7  0x002d280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#8  0x08f547ee in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 6 (Thread 0xaa507b70 (LWP 3091)):
#0  0x00aa5422 in __kernel_vsyscall ()
#1  0x002d6e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x02e395ee in ?? () from /usr/lib/libxine.so.1
#3  0x002d280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#4  0x08f547ee in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 5 (Thread 0xa9c5bb70 (LWP 3095)):
#0  0x00aa5422 in __kernel_vsyscall ()
#1  0x002d6e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x06bef307 in QWaitConditionPrivate::wait (this=0xa96d5f8, mutex=0xa96d5f4, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0xa96d5f8, mutex=0xa96d5f4, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x06626baa in Digikam::LoadSaveThread::run (this=0xa96d5e8) at /build/buildd/digikam-1.0.0~rc/libs/threadimageio/loadsavethread.cpp:131
#5  0x06bee3ae in QThreadPrivate::start (arg=0xa96d5e8) at thread/qthread_unix.cpp:244
#6  0x002d280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x08f547ee in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 4 (Thread 0xa945ab70 (LWP 3104)):
#0  0x00aa5422 in __kernel_vsyscall ()
#1  0x002d6e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x06bef307 in QWaitConditionPrivate::wait (this=0xb6515e0, mutex=0xb6515dc, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0xb6515e0, mutex=0xb6515dc, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x06626baa in Digikam::LoadSaveThread::run (this=0xb6515d0) at /build/buildd/digikam-1.0.0~rc/libs/threadimageio/loadsavethread.cpp:131
#5  0x06bee3ae in QThreadPrivate::start (arg=0xb6515d0) at thread/qthread_unix.cpp:244
#6  0x002d280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x08f547ee in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 3 (Thread 0xa7c57b70 (LWP 3105)):
#0  0x00aa5422 in __kernel_vsyscall ()
#1  0x002d6e15 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
#2  0x06bef307 in QWaitConditionPrivate::wait (this=0xb9328f0, mutex=0xb9328ec, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0xb9328f0, mutex=0xb9328ec, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x06626baa in Digikam::LoadSaveThread::run (this=0xb9328e0) at /build/buildd/digikam-1.0.0~rc/libs/threadimageio/loadsavethread.cpp:131
#5  0x06bee3ae in QThreadPrivate::start (arg=0xb9328e0) at thread/qthread_unix.cpp:244
#6  0x002d280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#7  0x08f547ee in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 2 (Thread 0xa8458b70 (LWP 3106)):
[KCrash Handler]
#6  0x00aa5422 in __kernel_vsyscall ()
#7  0x08eb24d1 in raise () from /lib/tls/i686/cmov/libc.so.6
#8  0x08eb5932 in abort () from /lib/tls/i686/cmov/libc.so.6
#9  0x08ee8ee5 in ?? () from /lib/tls/i686/cmov/libc.so.6
#10 0x08ef2ff1 in ?? () from /lib/tls/i686/cmov/libc.so.6
#11 0x08ef7806 in free () from /lib/tls/i686/cmov/libc.so.6
#12 0x06be8a1d in qFree (ptr=0xc1bc520) at global/qmalloc.cpp:60
#13 0x06c388e0 in QString::free (d=0x400) at tools/qstring.cpp:1108
#14 0x06c38d3e in QString::operator= (this=0xa84580dc, other=...) at tools/qstring.cpp:1282
#15 0x06c44b5c in QString::clear (this=0x6) at ../../include/QtCore/../../src/corelib/tools/qstring.h:713
#16 0x06c43560 in operator>> (in=..., str=...) at tools/qstring.cpp:7281
#17 0x00a0cf4c in ?? () from /usr/lib/libmarblewidget.so.4
#18 0x00a0e3db in ?? () from /usr/lib/libmarblewidget.so.4
#19 0x06bee3ae in QThreadPrivate::start (arg=0xa8458098) at thread/qthread_unix.cpp:244
#20 0x002d280e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
#21 0x08f547ee in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb77e6790 (LWP 3062)):
#0  0x00aa5422 in __kernel_vsyscall ()
#1  0x08f46ba6 in poll () from /lib/tls/i686/cmov/libc.so.6
#2  0x07eb5d80 in ?? () from /usr/lib/libxcb.so.1
#3  0x07eb79d2 in xcb_wait_for_reply () from /usr/lib/libxcb.so.1
#4  0x033ed506 in _XReply () from /usr/lib/libX11.so.6
#5  0x033ca519 in XGetImage () from /usr/lib/libX11.so.6
#6  0x01afa198 in QX11PixmapData::toImage (this=0xbe140d0) at image/qpixmap_x11.cpp:1475
#7  0x01ae480b in QPixmap::toImage (this=0xbfb03610) at image/qpixmap.cpp:486
#8  0x01777076 in KPixmapCache::Private::writeData (this=0x9e4e0b8, key=..., pix=...) at ../../kdeui/util/kpixmapcache.cpp:1427
#9  0x01777e26 in KPixmapCache::insert (this=0x9e4e0a0, key=..., pix=...) at ../../kdeui/util/kpixmapcache.cpp:1393
#10 0x016b5d1b in KIconCache::insert (this=0x9e4e0a0, key=..., pix=...) at ../../kdeui/icons/kiconcache.cpp:298
#11 0x016b6501 in KIconCache::insert (this=0x9e4e0a0, key=..., pix=..., path=...) at ../../kdeui/icons/kiconcache.cpp:285
#12 0x016aae2c in KIconLoader::loadIcon (this=0x9e34838, _name=..., group=KIconLoader::NoGroup, size=22, state=0, overlays=..., path_store=0x0, canReturnNull=false)
    at ../../kdeui/icons/kiconloader.cpp:1273
#13 0x08275dc3 in Digikam::AlbumThumbnailLoader::loadIcon (this=0xb54aa40, name=..., size=22) at /build/buildd/digikam-1.0.0~rc/digikam/albumthumbnailloader.cpp:177
#14 0x08276144 in Digikam::AlbumThumbnailLoader::getStandardTagIcon (this=0xb54aa40, relativeSize=Digikam::AlbumThumbnailLoader::NormalSize)
    at /build/buildd/digikam-1.0.0~rc/digikam/albumthumbnailloader.cpp:120
#15 0x08315528 in TagFilterView (this=0xc130be0, parent=0xc12d468) at /build/buildd/digikam-1.0.0~rc/digikam/tagfilterview.cpp:294
#16 0x082b1663 in DigikamView (this=0x9e08e60, parent=0x9f36368) at /build/buildd/digikam-1.0.0~rc/digikam/digikamview.cpp:270
#17 0x08296a90 in Digikam::DigikamApp::setupView (this=0x9f36368) at /build/buildd/digikam-1.0.0~rc/digikam/digikamapp.cpp:493
#18 0x082a5239 in DigikamApp (this=0x9f36368, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at /build/buildd/digikam-1.0.0~rc/digikam/digikamapp.cpp:232
#19 0x083a3fca in main (argc=1, argv=0xbfb03fe4) at /build/buildd/digikam-1.0.0~rc/digikam/main.cpp:172

Possible duplicates by query: bug 206778, bug 196768.

Reported using DrKonqi
Comment 1 Dario Andres 2009-12-30 18:20:20 UTC
This could be related to the glibc bug : bug 196207.
Check this:
- Quit X
- Start Konsole
- Type "export QT_NO_GLIB=1" + Enter
- Type "export MALLOC_CHECK_=" + Enter
- Type "X" + Enter
- Use X and check if it crashes or not
If it doesn't crash, then it is likely to be bug 196207. 

The backtrace suggests that this could also be Marble-related.

Thanks
Comment 2 Nigel Cundy 2010-01-01 12:19:43 UTC
It seems to run correctly after that fix
Comment 3 caulier.gilles 2010-01-01 12:22:46 UTC
Thanks i close this file now...

Gilles Caulier
Comment 4 Dario Andres 2010-01-01 13:54:46 UTC

*** This bug has been marked as a duplicate of bug 196207 ***
Comment 5 caulier.gilles 2010-01-03 15:21:37 UTC
*** Bug 221110 has been marked as a duplicate of this bug. ***